org.apache.commons.imaging.formats.tiff.taginfos

## Class TagInfo

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.taginfos.TagInfo

- Direct Known Subclasses:
    TagInfoAny, TagInfoAscii, TagInfoAsciiOrByte, TagInfoAsciiOrRational, TagInfoByte, TagInfoByteOrShort, TagInfoBytes, TagInfoDouble, TagInfoDoubles, TagInfoFloat, TagInfoFloats, TagInfoGpsText, TagInfoLong, TagInfoLongOrIFD, TagInfoLongs, TagInfoRational, TagInfoRationals, TagInfoSByte, TagInfoSBytes, TagInfoShort, TagInfoShortOrLong, TagInfoShortOrLongOrRational, TagInfoShortOrRational, TagInfoShorts, TagInfoSLong, TagInfoSLongs, TagInfoSRational, TagInfoSRationals, TagInfoSShort, TagInfoSShorts, TagInfoXpString

      public class TagInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<FieldType>` | `dataTypes`
    `TiffDirectoryType` | `directoryType`
    `int` | `length`
    `static int` | `LENGTH_UNKNOWN`
    `String` | `name`
    `int` | `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagInfo(String name, int tag, FieldType dataType)`
    `TagInfo(String name, int tag, FieldType dataType, int length)`
    `TagInfo(String name, int tag, FieldType dataType, int length, TiffDirectoryType exifDirectory)`
    `TagInfo(String name, int tag, FieldType dataType, int length, TiffDirectoryType exifDirectory, boolean isOffset)`
    `TagInfo(String name, int tag, List<FieldType> dataTypes, int length, TiffDirectoryType exifDirectory)`
    `TagInfo(String name, int tag, List<FieldType> dataTypes, int length, TiffDirectoryType exifDirectory, boolean isOffset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `encodeValue(FieldType fieldType, Object value, ByteOrder byteOrder)`
    `String` | `getDescription()`
    `Object` | `getValue(TiffField entry)`
    `boolean` | `isOffset()`
    `boolean` | `isText()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LENGTH_UNKNOWN

          public static final int LENGTH_UNKNOWN

      See Also:
        Constant Field Values

    - #### name

          public final String name

    - #### tag

          public final int tag

    - #### dataTypes

          public final List<FieldType> dataTypes

    - #### length

          public final int length

    - #### directoryType

          public final TiffDirectoryType directoryType

  - ### Constructor Detail

    - #### TagInfo

          public TagInfo(String name,
                         int tag,
                         FieldType dataType,
                         int length,
                         TiffDirectoryType exifDirectory)

    - #### TagInfo

          public TagInfo(String name,
                         int tag,
                         FieldType dataType,
                         int length,
                         TiffDirectoryType exifDirectory,
                         boolean isOffset)

    - #### TagInfo

          public TagInfo(String name,
                         int tag,
                         FieldType dataType,
                         int length)

    - #### TagInfo

          public TagInfo(String name,
                         int tag,
                         FieldType dataType)

    - #### TagInfo

          public TagInfo(String name,
                         int tag,
                         List<FieldType> dataTypes,
                         int length,
                         TiffDirectoryType exifDirectory)

    - #### TagInfo

          public TagInfo(String name,
                         int tag,
                         List<FieldType> dataTypes,
                         int length,
                         TiffDirectoryType exifDirectory,
                         boolean isOffset)

  - ### Method Detail

    - #### getValue

          public Object getValue(TiffField entry)
                          throws ImageReadException

      Parameters:
        `entry` - the TIFF field whose value to return
      Returns:
        the value of the TIFF field
      Throws:
        `ImageReadException` - thrown by subclasses

    - #### encodeValue

          public byte[] encodeValue(FieldType fieldType,
                                    Object value,
                                    ByteOrder byteOrder)
                             throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### getDescription

          public String getDescription()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isOffset

          public boolean isOffset()

    - #### isText

          public boolean isText()

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.